Subject: Re: Html-like constructs fail in typescript

From: Theodor Thornhill <[email-masked]>
Date: Wed, 30 Nov 2022 15:47:56 +0100

Eli Zaretskii <[email-masked]> writes:

>> Date: Wed, 30 Nov 2022 14:00:49 +0100
>> From: Theodor Thornhill <[email-masked]>
>> CC: [email-masked], [email-masked], [email-masked]
>> 
>> 
>> 
>> On 30 November 2022 13:35:49 CET, Eli Zaretskii <[email-masked]> wrote:
>> >> From: Theodor Thornhill <[email-masked]>
>> >> Cc: [email-masked], [email-masked], [email-masked]
>> >> Date: Tue, 29 Nov 2022 22:01:01 +0100
>> >> 
>> >> The solution is to create two modes: typescript-ts-mode and
>> >> tsx-ts-mode. They have separate parsers, and should be treated as
>> >> separate languages.  That means that in a .ts file we enable the
>> >> 'typescript' language, and in .tsx we enable the 'tsx' language.  This
>> >> exact issue is why they have two languages.
>> >
>> >This means the script posted by Yuan, which only creates a single grammar
>> >library for Typescript (the one for tsx), should be changed to instead
>> >produce two libraries, right?
>> 
>> Yes, I can fix that when the two modes are in :)
>
> Thanks.  But now I hear that the original analysis could be incomplete, and
> there actually is no problem, according to Jostein's last messages?

I don't think I agree with him. There are other constructs such as
generics that also can cause these ambiguities, IIRC

Theo